Bug 349138 - Can not generate documentation for multiprocessing module
Summary: Can not generate documentation for multiprocessing module
Status: RESOLVED FIXED
Alias: None
Product: kdev-python
Classification: Developer tools
Component: Documentation data (show other bugs)
Version: 1.7.1
Platform: Other Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Sven Brauch
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-06-14 10:06 UTC by Hai Zaar
Modified: 2015-10-10 10:57 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Hai Zaar 2015-06-14 10:06:14 UTC
kdev-python on 1.7-py3 branch, compiled against Python 3.4.

Autocomplete did not work for standard multiprocessing module, so I tried to generate one, which failed with: 

Processing module multiprocessing
Traceback (most recent call last):
  File "/usr/local/share/apps/kdevpythonsupport/scripts/introspect.py", line 528, in <module>
    dumper.dump()
  File "/usr/local/share/apps/kdevpythonsupport/scripts/introspect.py", line 375, in dump
    dumper.dump()
  File "/usr/local/share/apps/kdevpythonsupport/scripts/introspect.py", line 412, in dump
    arguments = inspect.getargspec(self.function)
  File "/usr/lib/python3.4/inspect.py", line 936, in getargspec
    raise ValueError("Function has keyword-only arguments or annotations"
ValueError: Function has keyword-only arguments or annotations, use getfullargspec() API which can support them


Reproducible: Always
Comment 1 Sven Brauch 2015-10-10 10:57:02 UTC
Git commit 75b4cb885c2822127a26e5b565f13879a559e2bc by Sven Brauch.
Committed on 10/10/2015 at 10:56.
Pushed by brauch into branch 'master'.

introspect script: use getfullargspec instead of getargspec

M  +1    -1    documentation_src/introspection/introspect.py

http://commits.kde.org/kdev-python/75b4cb885c2822127a26e5b565f13879a559e2bc